Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans
Class XmlBeansServiceFactory

    java.lang.Object
      org.codehaus.xfire.service.binding.ObjectServiceFactory
          org.codehaus.xfire.xmlbeans.XmlBeansServiceFactory

All Implemented Interfaces:
  ServiceFactory

    public class XmlBeansServiceFactory

extends ObjectServiceFactory

Author:
  Dan Diephouse

Constructor Summary
`XmlBeansServiceFactory()`
`XmlBeansServiceFactory(TransportManager transportManager)`

Method Summary
`protected javax.xml.namespace.QName` | `getInParameterName(Service service, java.lang.reflect.Method method, int paramNumber, boolean doc)`
`protected javax.xml.namespace.QName` | `getOutParameterName(Service service, java.lang.reflect.Method method, boolean doc)`

Methods inherited from class org.codehaus.xfire.service.binding.ObjectServiceFactory
`addIgnoredMethods, addOperation, create, create, create, create, create, getAction, getBindingProvider, getMEP, getOperationName, getSoapVersion, getStyle, getTransportManager, getUse, getWsdlBuilderFactory, initializeOperations, isAsync, isHeader, isValidMethod, isVoidOneWay, makeServiceNameFromClassName, registerHandlers, setBindingProvider, setSoapVersion, setStyle, setTransportManager, setUse, setVoidOneWay, setWsdlBuilderFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlBeansServiceFactory

    public XmlBeansServiceFactory()

### XmlBeansServiceFactory

    public XmlBeansServiceFactory(TransportManager transportManager)

Method Detail

### getInParameterName

    protected javax.xml.namespace.QName getInParameterName(Service service,
                                                           java.lang.reflect.Method method,
                                                           int paramNumber,
                                                           boolean doc)

  Overrides:
    `getInParameterName` in class `ObjectServiceFactory`

### getOutParameterName

    protected javax.xml.namespace.QName getOutParameterName(Service service,
                                                            java.lang.reflect.Method method,
                                                            boolean doc)

  Overrides:
    `getOutParameterName` in class `ObjectServiceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.